# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "neutralts"
version = "1.0.2"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Neutral is a web application template system, a template engine designed to work with any programming language via IPC and natively as library/crate in Rust."
homepage = "https://gitlab.com/neutralfw"
documentation = "https://docs.rs/neutralts/latest/neutralts/"
readme = "README.md"
keywords = [
    "web",
    "template",
    "templating",
    "engine",
    "html",
]
categories = [
    "template-engine",
    "web-programming",
]
license = "Apache-2.0"
repository = "https://gitlab.com/neutralfw/neutralts"

[lib]
name = "neutralts"
path = "src/lib.rs"

[[test]]
name = "test"
path = "tests/test.rs"

[[test]]
name = "test-bifs"
path = "tests/test-bifs.rs"

[[test]]
name = "test-performance"
path = "tests/test-performance.rs"

[dependencies.chrono]
version = "0.4"

[dependencies.html-escape]
version = "0.2"

[dependencies.lazy_static]
version = "1.5.0"

[dependencies.md-5]
version = "0.10"

[dependencies.rand]
version = "0.9.0"

[dependencies.regex]
version = "1.5.4"

[dependencies.serde]
version = "1.0.217"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.138"
features = ["preserve_order"]

[dependencies.textwrap]
version = "0.16.1"

[dependencies.validator]
version = "0.20.0"
features = ["derive"]
